#### Description:

This function searches a specified section of the supplied text for non-space characters, returning the indices of the first and last.

#### Synopsis

void astFandl_( const char ∗text, size_t start, size_t end, size_t ∗f, size_t ∗l )

#### Parameters:

##### text

The text string to be seached.

##### start

The zero-based index of the first character to be checked within `"` text`"` . The whole string is used if `"` start`"` is greater than `"` end`"` .

##### end

The zero-based index of the last character to be checked within `"` text`"` . The whole string is used if `"` start`"` is greater than `"` end`"` . The last character is used if `"` end`"` is greater than the length of the string.

##### f

Returned holding the zero-based index of the first non-space character. Ignored if NULL.

##### l

Returned holding the zero-based index of the last non-space character. Ignored if NULL.

#### Notes:

- `"` f`"` is returned greater than `"` l`"` if the specified section of the string is entirely blank.

Copyright (C) 2021 East Asian Observatory